<!-- ERROR page -->
<template>
<div class="container-fluid">
  <div class="row mt-1 mb-3">
    <div class="col-10 offset-1">
      <slot>
        <div class="not-found">
          <h1>{{ $t('message.notFound.error') }}</h1>
          <p>{{ $t('message.notFound.message') }}</p>
          <p>{{ $t('message.notFound.consider') }}</p>
          <ul>
            <li>{{ $t('message.notFound.points.doubleCheck') }}</li>
            <li>
              <router-link :to="{ name: 'Datasets' }">{{ $t('message.notFound.points.newSearch') }}</router-link>
            </li>
            <li>
              <a class="footer-sub-text pt-0" :href="`/${$route.query.locale}/contact-us`">
                {{ $t('message.notFound.points.reportError') }}
              </a>
            </li>
          </ul>
        </div>
      </slot>
      <div>
        <br><br><br>
      </div>
    </div>
  </div>
</div>
</template>

<script>
import { useHead } from '@unhead/vue'
import { AppLink, } from "@piveau/piveau-hub-ui-modules";

export default {
  name: 'NotFound',
  components: {
    AppLink
  },

  setup() {

    useHead({
      meta: [{
        name: 'robots',
        content: 'noindex, nofollow'
      }, ],
    })

  },
  mounted() {
    if (this.$piwik) {
      this.$piwik.trackInteraction('not_found', {
        screen_title: window.title,
        page_url: window.location.href,
        dataset_ID: this.$route.query.dataset || '',
      });
    }
  },
  created() {
    this.$router.isReady().then(() => {
      if (!this.$route.query.locale) {
        const locale = navigator.language.substring(0, 2);
        this.$root.$i18n.locale = locale;
        this.$router.push({
          query: {
            ...this.$route.query,
            locale
          }
        });
      }
    });
  },
};
</script>
